# ulib/base.split

## `splitfsep`
~~~
Découper $1 de la forme "first[SEPsecond]" entre first, qui est placé dans la
variable $3(=first) et second, qui est placée dans la variable $4(=second). $2
est la valeur SEP. Le découpage est faite sur la *première* occurence de SEP.
~~~
## `splitfsep2`
~~~
Découper $1 de la forme "[firstSEP]second" entre first, qui est placé dans la
variable $3(=first) et second, qui est placée dans la variable $4(=second). $2
est la valeur SEP. Le découpage est faite sur la *première* occurence de SEP.
~~~
## `splitlsep`
~~~
Découper $1 de la forme "first[SEPsecond]" entre first, qui est placé dans la
variable $3(=first) et second, qui est placée dans la variable $4(=second). $2
est la valeur SEP. Le découpage est faite sur la *dernière* occurence de SEP.
~~~
## `splitlsep2`
~~~
Découper $1 de la forme "[firstSEP]second" entre first, qui est placé dans la
variable $3(=first) et second, qui est placée dans la variable $4(=second). $2
est la valeur SEP. Le découpage est faite sur la *dernière* occurence de SEP.
~~~
## `splitvar`
~~~
Découper $1 de la forme name[=value] entre le nom, qui est placé dans la
variable $2(=name) et la valeur, qui est placée dans la variable $3(=value)
~~~
## `splitpath`
~~~
Découper $1 de la forme [dir/]name entre le répertoire, qui est placé dans la
variable $2(=dir), et le nom du fichier, qui est placé dans la variable
$3(=name)
~~~
## `splitname`
~~~
Découper $1 de la forme basename[.ext] entre le nom de base du fichier, qui
est placé dans la variable $2(=basename) et l'extension, qui est placée dans
la variable $3(=ext)
Attention, si $1 est un chemin, le résultat risque d'être faussé. Par exemple,
'splitname a.b/c' ne donne pas le résultat escompté.
~~~
## `splithost`
~~~
Découper $1 de la forme hostname[.domain] entre le nom d'hôte, qui est placé
dans la variable $2(=hostname) et le domaine, qui est placée dans la variable
$3(=domain)
~~~
## `splituserhost`
~~~
Découper $1 de la forme [user@]host entre le nom de l'utilisateur, qui est placé
dans la variable $2(=user) et le nom d'hôte, qui est placée dans la variable
$3(=host)
~~~
## `splitpair`
~~~
Découper $1 de la forme first[:second] entre la première valeur, qui est placé
dans la variable $2(=src) et la deuxième valeur, qui est placée dans la variable
$3(=dest)
~~~
## `splitproxy`
~~~
Découper $1 de la forme http://[user:password@]host[:port]/ entre les valeurs
$2(=host), $3(=port), $4(=user), $5(=password)
~~~
## `spliturl`
~~~
Découper $1 de la forme scheme://[user:password@]host[:port]/path entre les
valeurs $2(=scheme), $3(=user), $4(=password), $5(=host), $6(=port), $7(=path)
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary